curl --request GET \
--url https://prod.truv.com/v1/providers/{id}/ \
--header 'X-Access-Client-Id: <api-key>' \
--header 'X-Access-Secret: <api-key>'import requests
url = "https://prod.truv.com/v1/providers/{id}/"
headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Access-Client-Id': '<api-key>', 'X-Access-Secret': '<api-key>'}
};
fetch('https://prod.truv.com/v1/providers/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "adp",
"name": "ADP",
"data_source": "payroll",
"logo_url": "https://cdn.truv.com/providers/adp.svg",
"is_disabled": false,
"success_rate": "high",
"category": "w2",
"is_oauth": false,
"url": "https://www.adp.com/"
}{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}Retrieve a data provider
This endpoint retrieves a data provider.
Authorizations
Client ID
Client Access Key
Path Parameters
A unique value identifying this data provider.
Query Parameters
Product type
income, employment, deposit_switch, pll, insurance, transactions, assets "income"
Response
ID of provider
64"adp"
Data provider name
"ADP"
Source of data: payroll - payroll provider parsing, docs - user uploaded documents, insurance - insurance data, financial_accounts - bank data, tax - tax documents, scoring_attributes - transactions scoring attributes report.
payroll, docs, insurance, financial_accounts, tax, scoring_attributes, credit, education "payroll"
Data provider logo URL
"https://cdn.truv.com/providers/adp.svg"
True if product type for the query parameter product_type not implemented for the provider yet. If product_type query parameter is omitted the field will be null.
false
Success rate for the provider
low, high, unsupported, null "high"
Category of the provider.
gig, benefits, w2, financial_institution, insurance, tax, education "w2"
Whether the provider has OAuth authentication enabled.
false
The provider's website URL.
"https://www.adp.com/"
Was this page helpful?